import {createElectionDetail} from "./ElectionDetailComponent";

export default {
  title: 'Sections/Election Detail',
  parameters: {
    layout: 'fullscreen',
  },
  args: {},
}

const Template = ({...args}) => {
  return createElectionDetail({...args});
};

export const ElectionDetail = Template.bind({});
ElectionDetail.args = {};

export const ElectionDetailNoVideo = Template.bind({});
ElectionDetailNoVideo.args = {
  showVideo: false,
};

export const ElectionDetailNoText = Template.bind({});
ElectionDetailNoText.args = {
  showVideo: false,
  textheadline: '',
  copy: '',
};

export const ElectionDetailNoSocial = Template.bind({});
ElectionDetailNoSocial.args = {
  showVideo: false,
  textheadline: '',
  copy: '',
  showSocialMedia: false,
};

export const ElectionDetailNoElectionArea = Template.bind({});
ElectionDetailNoElectionArea.args = {
  showVideo: false,
  textheadline: '',
  copy: '',
  showSocialMedia: false,
  showElectionArea: false,
};
